.form-personalizado {
  
  font-family: sans-serif;
  display: flex;
  justify-content: center;
  padding: 20px 20px;
  border: 2px solid white;
  max-width: 650px;  /* Limita el ancho máximo */
  margin: 0 auto;    /* Centra horizontalmente */
  border-radius: 25px; /* ← aquí defines el redondeo */
  
}

.form-personalizado form {
  display: flex;
  flex-direction: column;
  gap: 3px;
  width: 100%;
  max-width: 600px;
}

.form-personalizado label {
  color: white;
  font-size: 1rem;
  margin-bottom: 0px;
  text-align: center;
}

.form-personalizado input[type="text"],
.form-personalizado input[type="email"],
.form-personalizado select,
.form-personalizado textarea {
  width: 100%;
  padding: 8px 10px;
  border-radius: 12px;
  border: 1px solid #555;
  background-color: #222;
  color: white;
  font-size: 1rem;
  box-sizing: border-box;
  text-align: center;
  margin-bottom: 10px;
}

.form-personalizado textarea {
  resize: vertical;
}

.auto-expand {
  overflow: hidden;
  resize: none;
}


.form-personalizado button {
  padding: 10px;
  font-size: 1rem;
  border: none;
  border-radius: 10px;
  background-color: #444;
  color: white;
  cursor: pointer;
  margin-top: 10px;
  transition: background-color 0.3s;
}

.form-personalizado button:hover {
  background-color: #666;
}

.form-personalizado p {
  color: red;
  font-size: 0.9rem;
  text-align: center;
  margin: 0;
}

